Package wx :: Package lib :: Package agw :: Module flatmenu :: Class FlatMenuEvent

[frames | no frames]

## Type FlatMenuEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            FlatMenuEvent

Event class that supports the FlatMenu-compatible event called EVT_FLAT_MENU_SELECTED.

Method Summary
| ``__init__`(self, eventType, id, nSel, nOldSel)` Default class constructor.

Property Summary

Method Details

### __init__(self, eventType, id=1, nSel=-1, nOldSel=-1)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:10 2009 | http://epydoc.sf.net